﻿Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'Fetch the records from Table using Entity Framework.
        Dim entities As NorthwindEntities = New NorthwindEntities()
        Dim customers As List(Of Customer) = (From customer In entities.Customers _
                                              Select customer).Take(4).ToList()

        'Insert the Default Item to List.
        customers.Insert(0, New Customer With {
            .CustomerID = "0",
            .ContactName = "Please select"
        })

        'Assign Entity as DataSource.
        cbCustomers.DataSource = customers
        cbCustomers.DisplayMember = "ContactName"
        cbCustomers.ValueMember = "CustomerID"
    End Sub

    Private Sub btnSubmit_Click(sender As Object, e As EventArgs) Handles btnSubmit.Click
        Dim message As String = "Name: " & cbCustomers.Text
        message += Environment.NewLine
        message += "CustomerId: " & cbCustomers.SelectedValue
        MessageBox.Show(message)
    End Sub
End Class
